diff -rc2N /free/libg++-2.5.3/config/mh-amigados /sources/libg++-2.5.3-amiga/config/mh-amigados
*** /free/libg++-2.5.3/config/mh-amigados	Thu Jan  1 00:00:00 1970
--- /sources/libg++-2.5.3-amiga/config/mh-amigados	Sun Dec  5 16:43:54 1993
***************
*** 0 ****
--- 1,5 ----
+ # do the best you can ;-)
+ CC = gcc -O2
+ # as long as we don't have a working debugger under AmigaDOS, using
+ # -g just wastes disk space, so don't use it
+ CFLAGS =
diff -rc2N /free/libg++-2.5.3/configure.in /sources/libg++-2.5.3-amiga/configure.in
*** /free/libg++-2.5.3/configure.in	Mon Dec 27 21:43:31 1993
--- /sources/libg++-2.5.3-amiga/configure.in	Mon Dec 27 16:53:12 1993
***************
*** 104,107 ****
--- 104,108 ----
    *-sun-*)		  host_makefile_frag=config/mh-sun ;;
    *-hp-hpux*)             host_makefile_frag=config/mh-hpux ;;
+   amigados)		  host_makefile_frag=config/mh-amigados ;;
    *-*-hiux*)              host_makefile_frag=config/mh-hpux ;;
    *-*-lynxos*)	  	  host_makefile_frag=config/mh-lynxos
diff -rc2N /free/libg++-2.5.3/libg++/config/amigados.mt /sources/libg++-2.5.3-amiga/libg++/config/amigados.mt
*** /free/libg++-2.5.3/libg++/config/amigados.mt	Thu Jan  1 00:00:00 1970
--- /sources/libg++-2.5.3-amiga/libg++/config/amigados.mt	Sun Dec  5 16:42:38 1993
***************
*** 0 ****
--- 1,13 ----
+ # do the best you can ;-)
+ CC = gcc -O2
+ # as long as we don't have a working debugger under AmigaDOS, using
+ # -g just wastes disk space, so don't use it
+ CFLAGS =
+ # Use -nostdinc++ flag if your version of gcc understands it.
+ NOSTDINC = -nostdinc++
+ # If the C include files are C++-ready (with extern "C"),
+ # define: HAVE_CPLUS_EXTERN = 1 and: WRAP_C_INCLUDES =
+ # If not, define HAVE_CPLUS_EXTERN = 0, and do not define WRAP_C_INCLUDES here
+ HAVE_CPLUS_EXTERN = 1
+ WRAP_C_INCLUDES =
+ XTRAFLAGS = -DNO_LIBGXX_MALLOC
diff -rc2N /free/libg++-2.5.3/libg++/etc/ADT-examples/Patmain.cc /sources/libg++-2.5.3-amiga/libg++/etc/ADT-examples/Patmain.cc
*** /free/libg++-2.5.3/libg++/etc/ADT-examples/Patmain.cc	Mon Dec 27 21:37:12 1993
--- /sources/libg++-2.5.3-amiga/libg++/etc/ADT-examples/Patmain.cc	Sun Dec  5 16:42:42 1993
***************
*** 3,7 ****
--- 3,12 ----
  #include <stream.h>
  #include <stdio.h>
+ #ifdef amigados
+ /* amigados is not case sensitive ! */
+ #include "gcc:include/string.h"
+ #else
  #include <string.h>
+ #endif
  #include "Patricia.h"
  #include <builtin.h>
diff -rc2N /free/libg++-2.5.3/libg++/etc/benchmarks/dhrystone.cc /sources/libg++-2.5.3-amiga/libg++/etc/benchmarks/dhrystone.cc
*** /free/libg++-2.5.3/libg++/etc/benchmarks/dhrystone.cc	Mon Dec 27 21:40:24 1993
--- /sources/libg++-2.5.3-amiga/libg++/etc/benchmarks/dhrystone.cc	Mon Dec 13 22:54:59 1993
***************
*** 332,336 ****
--- 332,341 ----
  
  #ifdef	NOSTRUCTASSIGN
+ #ifdef amigados
+ /* amigados is not case sensitive ! */
+ #include "gcc:include/string.h"
+ #else
  #include <string.h>
+ #endif
  #define	structassign(d, s)	memcpy(&(d), &(s), sizeof(d))
  #else
diff -rc2N /free/libg++-2.5.3/libg++/etc/lf/Dirent.cc /sources/libg++-2.5.3-amiga/libg++/etc/lf/Dirent.cc
*** /free/libg++-2.5.3/libg++/etc/lf/Dirent.cc	Mon Dec 27 21:37:18 1993
--- /sources/libg++-2.5.3-amiga/libg++/etc/lf/Dirent.cc	Sun Dec  5 16:42:48 1993
***************
*** 6,10 ****
  
  #include <std.h>
! #include "Dirent.h"
  
  // error handlers
--- 6,10 ----
  
  #include <std.h>
! #include "_Dirent.h"
  
  // error handlers
diff -rc2N /free/libg++-2.5.3/libg++/etc/lf/directory.cc /sources/libg++-2.5.3-amiga/libg++/etc/lf/directory.cc
*** /free/libg++-2.5.3/libg++/etc/lf/directory.cc	Mon Dec 27 21:37:19 1993
--- /sources/libg++-2.5.3-amiga/libg++/etc/lf/directory.cc	Sun Dec  5 16:42:48 1993
***************
*** 1,5 ****
  #include <stdio.h>
  #include <std.h>
! #include "Dirent.h"
  #include "option.h"
  #include "entry.h"
--- 1,5 ----
  #include <stdio.h>
  #include <std.h>
! #include "_Dirent.h"
  #include "option.h"
  #include "entry.h"
diff -rc2N /free/libg++-2.5.3/libg++/etc/trie-gen/test.cc /sources/libg++-2.5.3-amiga/libg++/etc/trie-gen/test.cc
*** /free/libg++-2.5.3/libg++/etc/trie-gen/test.cc	Mon Dec 27 21:37:21 1993
--- /sources/libg++-2.5.3-amiga/libg++/etc/trie-gen/test.cc	Sun Dec  5 16:42:50 1993
***************
*** 6,10 ****
--- 6,15 ----
    
  #include <stdio.h>
+ #ifdef amigados
+ /* amigados is not case sensitive ! */
+ #include "gcc:include/string.h"
+ #else
  #include <string.h>
+ #endif
  
  #define MAX_LEN 200
diff -rc2N /free/libg++-2.5.3/libg++/old-stream/istream.h /sources/libg++-2.5.3-amiga/libg++/old-stream/istream.h
*** /free/libg++-2.5.3/libg++/old-stream/istream.h	Mon Dec 27 21:37:36 1993
--- /sources/libg++-2.5.3-amiga/libg++/old-stream/istream.h	Sun Dec  5 16:43:03 1993
***************
*** 30,34 ****
  #include <File.h>
  #include <streambuf.h>
! #include <filebuf.h>
  #include <Filebuf.h>
  
--- 30,34 ----
  #include <File.h>
  #include <streambuf.h>
! #include <_filebuf.h>
  #include <Filebuf.h>
  
diff -rc2N /free/libg++-2.5.3/libg++/old-stream/ostream.h /sources/libg++-2.5.3-amiga/libg++/old-stream/ostream.h
*** /free/libg++-2.5.3/libg++/old-stream/ostream.h	Mon Dec 27 21:37:36 1993
--- /sources/libg++-2.5.3-amiga/libg++/old-stream/ostream.h	Sun Dec  5 16:43:03 1993
***************
*** 33,37 ****
  #include <File.h>
  #include <streambuf.h>
! #include <filebuf.h>
  #include <Filebuf.h>
  
--- 33,37 ----
  #include <File.h>
  #include <streambuf.h>
! #include <_filebuf.h>
  #include <Filebuf.h>
  
diff -rc2N /free/libg++-2.5.3/libg++/src/BitSet.cc /sources/libg++-2.5.3-amiga/libg++/src/BitSet.cc
*** /free/libg++-2.5.3/libg++/src/BitSet.cc	Mon Dec 27 21:37:58 1993
--- /sources/libg++-2.5.3-amiga/libg++/src/BitSet.cc	Sun Dec  5 16:43:21 1993
***************
*** 30,34 ****
  #include <new.h>
  #include <builtin.h>
! #include <string.h>
  #include <strstream.h>
  
--- 30,34 ----
  #include <new.h>
  #include <builtin.h>
! // #include <string.h> included by std.h
  #include <strstream.h>
  
diff -rc2N /free/libg++-2.5.3/libg++/src/Complex.h /sources/libg++-2.5.3-amiga/libg++/src/Complex.h
*** /free/libg++-2.5.3/libg++/src/Complex.h	Mon Dec 27 21:38:12 1993
--- /sources/libg++-2.5.3-amiga/libg++/src/Complex.h	Sun Dec  5 19:52:33 1993
***************
*** 1,6 ****
! #ifndef _complex_h
! #define _complex_h
! #define __ATT_complex__
! #include <Complex.h>
! typedef class Complex complex;
  #endif
--- 1,276 ----
! // This may look like C code, but it is really -*- C++ -*-
! /* 
! Copyright (C) 1988 Free Software Foundation
!     written by Doug Lea (dl@rocky.oswego.edu)
! 
! This file is part of the GNU C++ Library.  This library is free
! software; you can redistribute it and/or modify it under the terms of
! the GNU Library General Public License as published by the Free
! Software Foundation; either version 2 of the License, or (at your
! option) any later version.  This library is distributed in the hope
! that it will be useful, but WITHOUT ANY WARRANTY; without even the
! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
! PURPOSE.  See the GNU Library General Public License for more details.
! You should have received a copy of the GNU Library General Public
! License along with this library; if not, write to the Free Software
! Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
! */
! 
! #ifndef _Complex_h
! #ifdef __GNUG__
! #pragma interface
! #endif
! #define _Complex_h 1
! 
! 
! #include <stream.h>
! #include <math.h>
! 
! class Complex
! {
! #ifdef __ATT_complex__
! public:
! #else
! protected:
! #endif
! 
!   double           re;
!   double           im;
! 
! public:
! 
!   double           real() const;
!   double           imag() const;
! 
!                    Complex();
!                    Complex(const Complex& y);
!                    Complex(double r, double i=0);
! 
!                   ~Complex();
! 
!   Complex&         operator =  (const Complex& y);
! 
!   Complex&         operator += (const Complex& y);
!   Complex&         operator += (double y);
!   Complex&         operator -= (const Complex& y);
!   Complex&         operator -= (double y);
!   Complex&         operator *= (const Complex& y);
!   Complex&         operator *= (double y);
! 
!   Complex&         operator /= (const Complex& y); 
!   Complex&         operator /= (double y); 
! 
!   void             error(const char* msg) const;
! };
! 
! 
! // non-inline functions
! 
! Complex   operator /  (const Complex& x, const Complex& y);
! Complex   operator /  (const Complex& x, double y);
! Complex   operator /  (double   x, const Complex& y);
! 
! Complex   cos(const Complex& x);
! Complex   sin(const Complex& x);
! 
! Complex   cosh(const Complex& x);
! Complex   sinh(const Complex& x);
! 
! Complex   exp(const Complex& x);
! Complex   log(const Complex& x);
! 
! Complex   pow(const Complex& x, int p);
! Complex   pow(const Complex& x, const Complex& p);
! Complex   pow(const Complex& x, double y);
! Complex   sqrt(const Complex& x);
!    
! istream&  operator >> (istream& s, Complex& x);
! ostream&  operator << (ostream& s, const Complex& x);
! 
! // other functions defined as inlines
! 
! int  operator == (const Complex& x, const Complex& y);
! int  operator == (const Complex& x, double y);
! int  operator != (const Complex& x, const Complex& y);
! int  operator != (const Complex& x, double y);
! 
! Complex  operator - (const Complex& x);
! Complex  conj(const Complex& x);
! Complex  operator + (const Complex& x, const Complex& y);
! Complex  operator + (const Complex& x, double y);
! Complex  operator + (double x, const Complex& y);
! Complex  operator - (const Complex& x, const Complex& y);
! Complex  operator - (const Complex& x, double y);
! Complex  operator - (double x, const Complex& y);
! Complex  operator * (const Complex& x, const Complex& y);
! Complex  operator * (const Complex& x, double y);
! Complex  operator * (double x, const Complex& y);
! 
! double  real(const Complex& x);
! double  imag(const Complex& x);
! double  abs(const Complex& x);
! double  norm(const Complex& x);
! double  arg(const Complex& x);
! 
! Complex  polar(double r, double t = 0.0);
! 
! 
! // inline members
! 
! inline double  Complex::real() const { return re; }
! inline double  Complex::imag() const { return im; }
! 
! inline Complex::Complex() {}
! inline Complex::Complex(const Complex& y) :re(y.real()), im(y.imag()) {}
! inline Complex::Complex(double r, double i) :re(r), im(i) {}
! 
! inline Complex::~Complex() {}
! 
! inline Complex&  Complex::operator =  (const Complex& y) 
! { 
!   re = y.real(); im = y.imag(); return *this; 
! } 
! 
! inline Complex&  Complex::operator += (const Complex& y)
! { 
!   re += y.real();  im += y.imag(); return *this; 
! }
! 
! inline Complex&  Complex::operator += (double y)
! { 
!   re += y; return *this; 
! }
! 
! inline Complex&  Complex::operator -= (const Complex& y)
! { 
!   re -= y.real();  im -= y.imag(); return *this; 
! }
! 
! inline Complex&  Complex::operator -= (double y)
! { 
!   re -= y; return *this; 
! }
! 
! inline Complex&  Complex::operator *= (const Complex& y)
! {  
!   double r = re * y.real() - im * y.imag();
!   im = re * y.imag() + im * y.real(); 
!   re = r; 
!   return *this; 
! }
! 
! inline Complex&  Complex::operator *= (double y)
! {  
!   re *=  y; im *=  y; return *this; 
! }
! 
! 
! //  functions
! 
! inline int  operator == (const Complex& x, const Complex& y)
! {
!   return x.real() == y.real() && x.imag() == y.imag();
! }
! 
! inline int  operator == (const Complex& x, double y)
! {
!   return x.imag() == 0.0 && x.real() == y;
! }
! 
! inline int  operator != (const Complex& x, const Complex& y)
! {
!   return x.real() != y.real() || x.imag() != y.imag();
! }
! 
! inline int  operator != (const Complex& x, double y)
! {
!   return x.imag() != 0.0 || x.real() != y;
! }
! 
! inline Complex  operator - (const Complex& x)
! {
!   return Complex(-x.real(), -x.imag());
! }
! 
! inline Complex  conj(const Complex& x)
! {
!   return Complex(x.real(), -x.imag());
! }
! 
! inline Complex  operator + (const Complex& x, const Complex& y)
! {
!   return Complex(x.real() + y.real(), x.imag() + y.imag());
! }
! 
! inline Complex  operator + (const Complex& x, double y)
! {
!   return Complex(x.real() + y, x.imag());
! }
! 
! inline Complex  operator + (double x, const Complex& y)
! {
!   return Complex(x + y.real(), y.imag());
! }
! 
! inline Complex  operator - (const Complex& x, const Complex& y)
! {
!   return Complex(x.real() - y.real(), x.imag() - y.imag());
! }
! 
! inline Complex  operator - (const Complex& x, double y)
! {
!   return Complex(x.real() - y, x.imag());
! }
! 
! inline Complex  operator - (double x, const Complex& y)
! {
!   return Complex(x - y.real(), -y.imag());
! }
! 
! inline Complex  operator * (const Complex& x, const Complex& y)
! {
!   return Complex(x.real() * y.real() - x.imag() * y.imag(), 
!                  x.real() * y.imag() + x.imag() * y.real());
! }
! 
! inline Complex  operator * (const Complex& x, double y)
! {
!   return Complex(x.real() * y, x.imag() * y);
! }
! 
! inline Complex  operator * (double x, const Complex& y)
! {
!   return Complex(x * y.real(), x * y.imag());
! }
! 
! inline double  real(const Complex& x)
! {
!   return x.real();
! }
! 
! inline double  imag(const Complex& x)
! {
!   return x.imag();
! }
! 
! inline double  abs(const Complex& x)
! {
!   return hypot(x.real(), x.imag());
! }
! 
! inline double  norm(const Complex& x)
! {
!   return (x.real() * x.real() + x.imag() * x.imag());
! }
! 
! inline double  arg(const Complex& x)
! {
!   return atan2(x.imag(), x.real());
! }
! 
! inline Complex  polar(double r, double t)
! {
!   return Complex(r * cos(t), r * sin(t));
! }
! 
  #endif
diff -rc2N /free/libg++-2.5.3/libg++/src/Regex.cc /sources/libg++-2.5.3-amiga/libg++/src/Regex.cc
*** /free/libg++-2.5.3/libg++/src/Regex.cc	Mon Dec 27 21:38:17 1993
--- /sources/libg++-2.5.3-amiga/libg++/src/Regex.cc	Sun Dec  5 19:26:03 1993
***************
*** 55,59 ****
--- 55,64 ----
  
  #include <_G_config.h>
+ #ifdef amigados
+ /* amigados is not case sensitive ! */
+ #include "gcc:include/string.h"
+ #else
  #include <string.h>
+ #endif
  #include <stdlib.h>
  
***************
*** 115,120 ****
  
  /* Get the interface, including the syntax bits.  */
  #include "regex.h"
! 
  
  /* These are the command codes that appear in compiled regular
--- 120,129 ----
  
  /* Get the interface, including the syntax bits.  */
+ #ifdef amigados
+ /* amigados is not case sensitive ! */
+ #include "_regex.h"
+ #else
  #include "regex.h"
! #endif
  
  /* These are the command codes that appear in compiled regular
diff -rc2N /free/libg++-2.5.3/libg++/src/Regex.h /sources/libg++-2.5.3-amiga/libg++/src/Regex.h
*** /free/libg++-2.5.3/libg++/src/Regex.h	Mon Dec 27 21:38:17 1993
--- /sources/libg++-2.5.3-amiga/libg++/src/Regex.h	Sun Dec  5 19:13:54 1993
***************
*** 1,6 ****
! /* Definitions for data structures callers pass the regex library.
  
-    Copyright (C) 1985, 1989-92 Free Software Foundation, Inc.
- 
  This file is part of the GNU C++ Library.  This library is free
  software; you can redistribute it and/or modify it under the terms of
--- 1,7 ----
! // This may look like C code, but it is really -*- C++ -*-
! /* 
! Copyright (C) 1988 Free Software Foundation
!     written by Doug Lea (dl@rocky.oswego.edu)
  
  This file is part of the GNU C++ Library.  This library is free
  software; you can redistribute it and/or modify it under the terms of
***************
*** 16,21 ****
  */
  
! #ifndef __REGEXP_LIBRARY
! #define __REGEXP_LIBRARY
  
  #if defined(SHORT_NAMES) || defined(VMS)
--- 17,26 ----
  */
  
! 
! #ifndef _Regex_h
! #ifdef __GNUG__
! #pragma interface
! #endif
! #define _Regex_h 1
  
  #if defined(SHORT_NAMES) || defined(VMS)
***************
*** 25,272 ****
  #endif
  
! #ifdef __cplusplus
! extern "C" {
! #endif
! 
! /* Define number of parens for which we record the beginnings and ends.
!    This affects how much space the `struct re_registers' type takes up.  */
! #ifndef RE_NREGS
! #define RE_NREGS 10
! #endif
! 
! #define BYTEWIDTH 8
! 
! 
! /* Maximum number of duplicates an interval can allow.  */
! #ifndef RE_DUP_MAX /* kludge for AIX, which defines it */
! #define RE_DUP_MAX  ((1 << 15) - 1) 
! #endif
! 
! /* This defines the various regexp syntaxes.  */
! extern int obscure_syntax;
  
  
- /* The following bits are used in the obscure_syntax variable to choose among
-    alternative regexp syntaxes.  */
  
- /* If this bit is set, plain parentheses serve as grouping, and backslash
-      parentheses are needed for literal searching.
-    If not set, backslash-parentheses are grouping, and plain parentheses
-      are for literal searching.  */
- #define RE_NO_BK_PARENS	1
- 
- /* If this bit is set, plain | serves as the `or'-operator, and \| is a 
-      literal.
-    If not set, \| serves as the `or'-operator, and | is a literal.  */
- #define RE_NO_BK_VBAR (1 << 1)
- 
- /* If this bit is not set, plain + or ? serves as an operator, and \+, \? are 
-      literals.
-    If set, \+, \? are operators and plain +, ? are literals.  */
- #define RE_BK_PLUS_QM (1 << 2)
- 
- /* If this bit is set, | binds tighter than ^ or $.
-    If not set, the contrary.  */
- #define RE_TIGHT_VBAR (1 << 3)
- 
- /* If this bit is set, then treat newline as an OR operator.
-    If not set, treat it as a normal character.  */
- #define RE_NEWLINE_OR (1 << 4)
- 
- /* If this bit is set, then special characters may act as normal
-    characters in some contexts. Specifically, this applies to:
- 	^ -- only special at the beginning, or after ( or |;
- 	$ -- only special at the end, or before ) or |;
- 	*, +, ? -- only special when not after the beginning, (, or |.
-    If this bit is not set, special characters (such as *, ^, and $)
-    always have their special meaning regardless of the surrounding
-    context.  */
- #define RE_CONTEXT_INDEP_OPS (1 << 5)
- 
- /* If this bit is not set, then \ before anything inside [ and ] is taken as 
-      a real \.
-    If set, then such a \ escapes the following character.  This is a
-      special case for awk.  */
- #define RE_AWK_CLASS_HACK (1 << 6)
- 
- /* If this bit is set, then \{ and \} or { and } serve as interval operators.
-    If not set, then \{ and \} and { and } are treated as literals.  */
- #define RE_INTERVALS (1 << 7)
- 
- /* If this bit is not set, then \{ and \} serve as interval operators and 
-      { and } are literals.
-    If set, then { and } serve as interval operators and \{ and \} are 
-      literals.  */
- #define RE_NO_BK_CURLY_BRACES (1 << 8)
- 
- /* If this bit is set, then character classes are supported; they are:
-      [:alpha:],	[:upper:], [:lower:],  [:digit:], [:alnum:], [:xdigit:],
-      [:space:], [:print:], [:punct:], [:graph:], and [:cntrl:].
-    If not set, then character classes are not supported.  */
- #define RE_CHAR_CLASSES (1 << 9)
- 
- /* If this bit is set, then the dot re doesn't match a null byte.
-    If not set, it does.  */
- #define RE_DOT_NOT_NULL (1 << 10)
- 
- /* If this bit is set, then [^...] doesn't match a newline.
-    If not set, it does.  */
- #define RE_HAT_NOT_NEWLINE (1 << 11)
- 
- /* If this bit is set, back references are recognized.
-    If not set, they aren't.  */
- #define RE_NO_BK_REFS (1 << 12)
- 
- /* If this bit is set, back references must refer to a preceding
-    subexpression.  If not set, a back reference to a nonexistent
-    subexpression is treated as literal characters.  */
- #define RE_NO_EMPTY_BK_REF (1 << 13)
- 
- /* If this bit is set, bracket expressions can't be empty.  
-    If it is set, they can be empty.  */
- #define RE_NO_EMPTY_BRACKETS (1 << 14)
- 
- /* If this bit is set, then *, +, ? and { cannot be first in an re or
-    immediately after a |, or a (.  Furthermore, a | cannot be first or
-    last in an re, or immediately follow another | or a (.  Also, a ^
-    cannot appear in a nonleading position and a $ cannot appear in a
-    nontrailing position (outside of bracket expressions, that is).  */
- #define RE_CONTEXTUAL_INVALID_OPS (1 << 15)
- 
- /* If this bit is set, then +, ? and | aren't recognized as operators.
-    If it's not, they are.  */
- #define RE_LIMITED_OPS (1 << 16)
- 
- /* If this bit is set, then an ending range point has to collate higher
-      or equal to the starting range point.
-    If it's not set, then when the ending range point collates higher
-      than the starting range point, the range is just considered empty.  */
- #define RE_NO_EMPTY_RANGES (1 << 17)
- 
- /* If this bit is set, then a hyphen (-) can't be an ending range point.
-    If it isn't, then it can.  */
- #define RE_NO_HYPHEN_RANGE_END (1 << 18)
- 
- 
- /* Define combinations of bits for the standard possibilities.  */
- #define RE_SYNTAX_POSIX_AWK (RE_NO_BK_PARENS | RE_NO_BK_VBAR \
- 			| RE_CONTEXT_INDEP_OPS)
- #define RE_SYNTAX_AWK (RE_NO_BK_PARENS | RE_NO_BK_VBAR \
- 			| RE_CONTEXT_INDEP_OPS | RE_AWK_CLASS_HACK)
- #define RE_SYNTAX_EGREP (RE_NO_BK_PARENS | RE_NO_BK_VBAR \
- 			| RE_CONTEXT_INDEP_OPS | RE_NEWLINE_OR)
- #define RE_SYNTAX_GREP (RE_BK_PLUS_QM | RE_NEWLINE_OR)
- #define RE_SYNTAX_EMACS 0
- #define RE_SYNTAX_POSIX_BASIC (RE_INTERVALS | RE_BK_PLUS_QM 		\
- 			| RE_CHAR_CLASSES | RE_DOT_NOT_NULL 		\
-                         | RE_HAT_NOT_NEWLINE | RE_NO_EMPTY_BK_REF 	\
-                         | RE_NO_EMPTY_BRACKETS | RE_LIMITED_OPS		\
-                         | RE_NO_EMPTY_RANGES | RE_NO_HYPHEN_RANGE_END)	
-                         
- #define RE_SYNTAX_POSIX_EXTENDED (RE_INTERVALS | RE_NO_BK_CURLY_BRACES	   \
- 			| RE_NO_BK_VBAR | RE_NO_BK_PARENS 		   \
-                         | RE_HAT_NOT_NEWLINE | RE_CHAR_CLASSES 		   \
-                         | RE_NO_EMPTY_BRACKETS | RE_CONTEXTUAL_INVALID_OPS \
-                         | RE_NO_BK_REFS | RE_NO_EMPTY_RANGES 		   \
-                         | RE_NO_HYPHEN_RANGE_END)
- 
- 
- /* This data structure is used to represent a compiled pattern.  */
- 
- struct re_pattern_buffer
-   {
-     char *buffer;	/* Space holding the compiled pattern commands.  */
-     long allocated;	/* Size of space that `buffer' points to. */
-     long used;		/* Length of portion of buffer actually occupied  */
-     char *fastmap;	/* Pointer to fastmap, if any, or zero if none.  */
- 			/* re_search uses the fastmap, if there is one,
- 			   to skip over totally implausible characters.  */
-     char *translate;	/* Translate table to apply to all characters before 
- 		           comparing, or zero for no translation.
- 			   The translation is applied to a pattern when it is 
-                            compiled and to data when it is matched.  */
-     char fastmap_accurate;
- 			/* Set to zero when a new pattern is stored,
- 			   set to one when the fastmap is updated from it.  */
-     char can_be_null;   /* Set to one by compiling fastmap
- 			   if this pattern might match the null string.
- 			   It does not necessarily match the null string
- 			   in that case, but if this is zero, it cannot.
- 			   2 as value means can match null string
- 			   but at end of range or before a character
- 			   listed in the fastmap.  */
-   };
- 
- 
- /* search.c (search_buffer) needs this one value.  It is defined both in
-    regex.c and here.  */
- #define RE_EXACTN_VALUE 1
- 
- 
- /* Structure to store register contents data in.
- 
-    Pass the address of such a structure as an argument to re_match, etc.,
-    if you want this information back.
- 
-    For i from 1 to RE_NREGS - 1, start[i] records the starting index in
-    the string of where the ith subexpression matched, and end[i] records
-    one after the ending index.  start[0] and end[0] are analogous, for
-    the entire pattern.  */
- 
- struct re_registers
-   {
-     int start[RE_NREGS];
-     int end[RE_NREGS];
-   };
- 
- 
- 
- #if defined(__STDC__) || defined(__cplusplus)
- 
- extern char *re_compile_pattern (const char *, int, struct re_pattern_buffer *);
- /* Is this really advertised?  */
- extern void re_compile_fastmap (struct re_pattern_buffer *);
- extern int re_search (struct re_pattern_buffer *, char*, int, int, int,
- 		      struct re_registers *);
- extern int re_search_2 (struct re_pattern_buffer *, char *, int,
- 			char *, int, int, int,
- 			struct re_registers *, int);
- extern int re_match (struct re_pattern_buffer *, char *, int, int,
- 		     struct re_registers *);
- extern int re_match_2 (struct re_pattern_buffer *, char *, int,
- 		       char *, int, int, struct re_registers *, int);
- 
- #if 0
- /* 4.2 bsd compatibility.  */
- extern char *re_comp (char *);
- extern int re_exec (char *);
  #endif
- 
- #else /* !__STDC__ */
- 
- #define const /* nothing */
- extern char *re_compile_pattern ();
- /* Is this really advertised? */
- extern void re_compile_fastmap ();
- extern int re_search (), re_search_2 ();
- extern int re_match (), re_match_2 ();
- 
- #if 0
- /* 4.2 bsd compatibility.  */
- extern char *re_comp ();
- extern int re_exec ();
- #endif
- 
- #endif /* __STDC__ */
- 
- 
- #ifdef SYNTAX_TABLE
- extern char *re_syntax_table;
- #endif
- 
- #ifdef __cplusplus
- extern int re_max_failures;
- }
- #endif
- 
- #endif /* !__REGEXP_LIBRARY */
--- 30,76 ----
  #endif
  
! struct re_pattern_buffer;       // defined elsewhere
! struct re_registers;
  
+ class Regex
+ {
+ private:
+ 
+                      Regex(const Regex&) {}  // no X(X&)
+   void               operator = (const Regex&) {} // no assignment
+ 
+ protected:
+   re_pattern_buffer* buf;
+   re_registers*      reg;
+ 
+ public:
+                      Regex(const char* t, 
+                            int fast = 0, 
+                            int bufsize = 40, 
+                            const char* transtable = 0);
+ 
+                     ~Regex();
+ 
+   int                match(const char* s, int len, int pos = 0) const;
+   int                search(const char* s, int len, 
+                             int& matchlen, int startpos = 0) const;
+   int                match_info(int& start, int& length, int nth = 0) const;
+ 
+   int                OK() const;  // representation invariant
+ };
+ 
+ // some built in regular expressions
+ 
+ extern const Regex RXwhite;          // = "[ \n\t\r\v\f]+"
+ extern const Regex RXint;            // = "-?[0-9]+"
+ extern const Regex RXdouble;         // = "-?\\(\\([0-9]+\\.[0-9]*\\)\\|
+                                      //    \\([0-9]+\\)\\|\\(\\.[0-9]+\\)\\)
+                                      //    \\([eE][---+]?[0-9]+\\)?"
+ extern const Regex RXalpha;          // = "[A-Za-z]+"
+ extern const Regex RXlowercase;      // = "[a-z]+"
+ extern const Regex RXuppercase;      // = "[A-Z]+"
+ extern const Regex RXalphanum;       // = "[0-9A-Za-z]+"
+ extern const Regex RXidentifier;     // = "[A-Za-z_][A-Za-z0-9_]*"
  
  
  #endif
diff -rc2N /free/libg++-2.5.3/libg++/src/String.cc /sources/libg++-2.5.3-amiga/libg++/src/String.cc
*** /free/libg++-2.5.3/libg++/src/String.cc	Mon Dec 27 21:38:10 1993
--- /sources/libg++-2.5.3-amiga/libg++/src/String.cc	Sun Dec  5 19:14:24 1993
***************
*** 31,35 ****
--- 31,40 ----
  
  // extern "C" {
+ #ifdef amigados
+ /* amigados is not case sensitive ! */
+ #include <_regex.h>
+ #else
  #include <regex.h>
+ #endif
  // }
  
diff -rc2N /free/libg++-2.5.3/libg++/src/_complex.h /sources/libg++-2.5.3-amiga/libg++/src/_complex.h
*** /free/libg++-2.5.3/libg++/src/_complex.h	Thu Jan  1 00:00:00 1970
--- /sources/libg++-2.5.3-amiga/libg++/src/_complex.h	Sun Dec  5 16:43:30 1993
***************
*** 0 ****
--- 1,6 ----
+ #ifndef _complex_h
+ #define _complex_h
+ #define __ATT_complex__
+ #include <Complex.h>
+ typedef class Complex complex;
+ #endif
